Welcome to Geeklog Friday, September 25 2020 @ 10:48 pm EDT

Geeklog Forums

Privmessages won't install


Status: offline

PMW.org

Forum User
Newbie
Registered: 21/01/07
Posts: 11
Location:San Francisco, CA
I am attempting to install Privmessages but when I get to the part where I run public_html/privmessages/install.php. . . nothing happens. The page just refreshes and no message about whether or not the plugin installed is displayed. I no it is not installed because i cannot make a functional php block for it and no tables were inserted into mySQL.

Any idea how to diagnose?

Thanks.
Help stop puppy mills!
 Quote

Status: offline

scroff

Forum User
Regular Poster
Registered: 19/02/03
Posts: 111
I'm not familiar with that plugin (I use Blaines Private Message plugin), but isn't it supposed to be http://www.yoursite.com/admin/privmessages/install.php? Usually he install files are in the admin folder....
 Quote

Status: offline

PMW.org

Forum User
Newbie
Registered: 21/01/07
Posts: 11
Location:San Francisco, CA
I'll have to double check, because I wondered about that too. Privmessages apears by the instructions to not be like a normal plugin in the install. The way the instructions are written, all files go in public_html/privmessages directory - nothing in the plugins or admin directories. But, maybe that was supposed to be understood. I'll try to do the typical install also and see what happens.
Help stop puppy mills!
 Quote

Status: offline

scroff

Forum User
Regular Poster
Registered: 19/02/03
Posts: 111
After looking at the files, the install is pretty specific that it all goes into public_html/privmessages like you have it. Hate to leave it like this, but I have to get to sleep. I'd check again the config.php and the language files to be sure they are correct, then check to be sure the php block is set up right....

good luck
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
This is a guess, but It may be an older plugin that relies on the PHP setting register_globals being "on". GL 1.4 and up no longer needs register_globals on but older plugins, especially their install files, do tend to require it.
 Quote

Status: offline

Robin

Forum User
Full Member
Registered: 15/02/02
Posts: 725
Quote by: PMW.org

I am attempting to install Privmessages



Hello,
and which version is that?

Rob
Geeklog Polish Support Team
 Quote

Status: offline

PMW.org

Forum User
Newbie
Registered: 21/01/07
Posts: 11
Location:San Francisco, CA
Thanks for all the assistance. It's Private Messages 1.1.0, the newest I can see on this site. I am using GL 1.4.0.x, so perhaps the register globals issue is it. Will have to check that.
Help stop puppy mills!
 Quote

Status: offline

PMW.org

Forum User
Newbie
Registered: 21/01/07
Posts: 11
Location:San Francisco, CA
Well, I just sucked it up and bought Blaine's GLMessenger for $20 on portalparts.com.

I'm impressed. Well worth the $20. This system is very advanced, simple to install and use. Love it!
Help stop puppy mills!
 Quote

All times are EDT. The time is now 10:48 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content